Bug 1015276 - [RFE] Add Support of Wacom 22HD Touch tablet
[RFE] Add Support of Wacom 22HD Touch tablet
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-wacom (Show other bugs)
6.5
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Peter Hutterer
Desktop QE
: FutureFeature
Depends On: 1093435
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 15:03 EDT by Michael Boisvert
Modified: 2015-04-29 01:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-29 01:43:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Boisvert 2013-10-03 15:03:08 EDT
Description of problem: The 22HD touch is recognized as a different tablet from the regular 22HD, so it is not enabled in RHEL.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Plug in Wacom 22HD touch
2.
3.

Actual results: Not recognized in RHEL


Expected results: Enabled and configurable in RHEL7.


Additional info:

The 22HD touch has the following usb id's associated with it:

056a:005e
056a:005b
056a:005c
Comment 1 Peter Hutterer 2014-04-23 20:37:06 EDT
Does this tablet show up on the kernel side? What's the evtest output for it?
Comment 2 Michael Boisvert 2014-05-01 14:38:08 EDT
(In reply to Peter Hutterer from comment #1)
> Does this tablet show up on the kernel side? What's the evtest output for it?

Just checked, it does not show up in evtest and in /var/log/messages it doesn't load any input or wacom module. I am guessing a kernel bug is needed for this tablet as well.
Comment 3 Peter Hutterer 2014-05-12 23:58:43 EDT
Yes, this needs a kernel bug, the X stack should support this device already.
Comment 7 Peter Hutterer 2015-04-29 01:43:43 EDT
Userspace support for this tablet was added as part of the xorg-x11-drv-wacom rebase in RHEL 6.6. Once the kernel support is available in RHEL6, the tablet will start working in the X.Org stack.

Closing as CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.